Bug 442564 - Cannot launch calc mode in xemacs on first try
Cannot launch calc mode in xemacs on first try
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xemacs-sumo (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Novotny
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2008-04-15 11:20 EDT by Alan Matsuoka
Modified: 2010-10-22 20:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 05:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xemacs-calc.patch (2.50 KB, text/x-patch)
2008-04-15 11:20 EDT, Alan Matsuoka
no flags Details
screenshot showing xemacs failing (111.89 KB, image/jpeg)
2008-04-15 11:21 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-04-15 11:20:28 EDT
Description of problem:
- When launching calc mode in xemacs using (Shift+Alt # c), on first try, status
bar shows error "wrong type argument; stringp, nil"
- Second try able to start calc mode, but customer inform:
"The calc work-around helps, but when you get into calc on the second try, the
results of the first calculation are written, but not numbered.  Results of
subsequent calculations are numbered, but written above the result of the first
calculation.  This can cause confusion; if you're not paying attention, you use
the last printed result as the result of your last calculation, which is wrong."

How reproducible:
- Always reproducible

Steps to Reproduce:
- Start xemacs
- Press (Shift+Alt # c) to start calc mode
- Error "wrong type argument; stringp, nil" shown
- Calc mode not started

Actual results:
- Error "wrong type argument; stringp, nil" shown
- Calc mode not started

Expected results:
- error should not be shown
- calc mode should be started

Additional info:
- Test machine already installed with latest xemacs, but error still persist

[root@cbj-n-d88883 ~]# rpm -qa |grep xemacs
xemacs-el-21.4.15-11.EL4
xemacs-sumo-el-20040818-2
xemacs-sumo-info-20040818-2
xemacs-common-21.4.15-11.EL4
xemacs-sumo-20040818-2
xemacs-21.4.15-11.EL4
apel-xemacs-10.6-5
xemacs-info-21.4.15-11.EL4

rebuilt rpm with attached patch. The patch seems to work ok.
Comment 1 Alan Matsuoka 2008-04-15 11:20:28 EDT
Created attachment 302475 [details]
xemacs-calc.patch
Comment 2 Alan Matsuoka 2008-04-15 11:21:19 EDT
Created attachment 302476 [details]
screenshot showing xemacs failing
Comment 9 Daniel Novotny 2008-11-24 09:03:23 EST
fixed in xemacs-sumo-20040818-3
Comment 12 errata-xmlrpc 2009-01-28 05:05:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0029.html

Note You need to log in before you can comment on or make changes to this bug.